Subject: Re: [PATCH] lwtunnel: Fix the sparse warnings in fib_encap_match

From: Ying Xue <[email-masked]>
Date: Wed, 19 Aug 2015 15:41:53 +0800

On 08/19/2015 03:40 PM, Jiri Benc wrote:
> On Wed, 19 Aug 2015 15:33:29 +0800, Ying Xue wrote:
>> When CONFIG_LWTUNNEL config is not enabled, the lwtstate_free() is not
>> declared in lwtunnel.h at all. However, even in this case, the function
>> is still referenced in fib_semantics.c so that there appears the
>> following sparse warnings:
>>
>> net/ipv4/fib_semantics.c:553:17: error: undefined identifier 'lwtstate_free'
>>   CC      net/ipv4/fib_semantics.o
>>   net/ipv4/fib_semantics.c: In function ‘fib_encap_match’:
>>   net/ipv4/fib_semantics.c:553:3: error: implicit declaration of function ‘lwtstate_free’ [-Werror=implicit-function-declaration]
>>   cc1: some warnings being treated as errors
>>   make[1]: *** [net/ipv4/fib_semantics.o] Error 1
>>   make: *** [net/ipv4/fib_semantics.o] Error 2
>>
>> To eliminate the error, we define an empty function for lwtstate_free()
>> in lwtunnel.h when CONFIG_LWTUNNEL is disabled.
>>
>> Fixes: df383e6240ef ("lwtunnel: fix memory leak")
>> Cc: Jiri Benc <[email-masked]>
>> Reported-by: kbuild test robot <[email-masked]>
>> Signed-off-by: Ying Xue <[email-masked]>
> 
> Acked-by: Jiri Benc <[email-masked]>
> 
> Thanks, you beat me to it.
> 
> This is for net-next.
> 

Yes, I found I made a mistake after I sent out the patch.

I will resend the patch to net-next tree again.

Thanks,
Ying

>  Jiri